![LUX](/Documentation/Images/logo_claim.svg#gh-light-mode-only "LUX")
![LUX](/Documentation/Images/logo_claim_white.svg#gh-dark-mode-only "LUX")

# Changelog and breaking changes

## Breaking changes and useful information !!!

Double check if you have cleared all caches after installing a new LUX version to be sure to have no side effects.

| Version                        | Situation                                                         | Upgrade instructions                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     |
|--------------------------------|-------------------------------------------------------------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| From former versions to 32.0.0 | Old Flashmessages could be visible in backend views after update  | Nothing to do or to worry about. In the past there were flashmessages like "lead deleted" stored to a backend editor, but there was no output. If you upgrade now to LUX 32 it could happen that all old flashmessages are visible for the editors. Once those messages are shown, they will be deleted - everything is fine again after a reload or switch to a different view.                                                                                                                         |
| From former versions to 28.0.0 | Email4link HTML template via AJAX - overwrite `Email4link.html`   | If you have modified the `Email4Link.html`, this is now done in a similar way. 1. You have to set a template path to your sitepackage like `plugin.tx_lux_email4link.view.templateRootPaths.1 = EXT:mysitepackage/Resources/Private/Templates/Extensions/Lux/` 2. Copy the original file from `EXT:lux/Resources/Private/Templates/Frontend/Email4link.html` to your sitepackage in `EXT:mysitepackage/Resources/Private/Templates/Extensions/Lux/Frontend/Email4link.html` and modify it to your needs. |
| From former versions to 28.0.0 | Email4link HTML template via AJAX - set privacy PID               | If you used TypoScript settings for setting a privacy PID instead of TypoScript constants, the place has changed. Privacy PID can be set in TypoScript setup via `luxEmail4LinkAjax.10.settings.pidPrivacyPage = 123`                                                                                                                                                                                                                                                                                    |
| From former versions to 28.0.0 | Email4link HTML template via AJAX - typenum in site configuration | You should extend your siteconfiguration under `routeEnhancers.PageTypeSuffix.map` with typenum `1680114177` and (e.g.) `email4link.json`                                                                                                                                                                                                                                                                                                                                                                |
| From former versions to 27.0.0 | JS loading changed a bit                                          | While JS was loaded via `page.includeJSFooter.lux` in the past, now `page.includeJSFooterlibs.lux` is used. If you removed JS including, you have to update your TypoScript.                                                                                                                                                                                                                                                                                                                             |
| From former versions to 27.0.0 | CKeditor plugin js folder changed for TYPO3 11                    | While TYPO3 12 is using CKeditor 5 (instead of 4) we need 2 different JS Folders for the email4link functionality. Adjust your CKeditor configuration from `resource: 'EXT:lux/Resources/Public/JavaScript/Static/CkEditorPlugins/luxEmail4Link/plugin.js'` to `resource: 'EXT:lux/Resources/Public/JavaScript/Static/CkEditorPlugins/luxEmail4LinkOld/plugin.js'`                                                                                                                                       |
| From former versions to 26.2.0 | Name of localStorage settings changed                             | Nothing to code, but maybe you have to adjust your privacy note: Local storage settings `luxTrackingOptOut` + `luxTrackingOptIn` were removed. A new name is given `luxTracking`                                                                                                                                                                                                                                                                                                                         |
| From former versions to 23.0.0 | Signals are migrated to PSR-14 events                             | If you have extended LUX via slots (based in signals), you have to migrate your slots to eventlisteners - see [Events documentation](../Events/Index.md) for details                                                                                                                                                                                                                                                                                                                                     |
| From former versions to 21.0.0 | Small change: Marker names in email4link template changed         | If you have overwritten the Email4Link template file, take care to use the "EMAIL4LINK_" prefix now for the 3 variables/markers (###TITLE### => ###EMAIL4LINK_TITLE###)                                                                                                                                                                                                                                                                                                                                  |
| From former versions to 17.1.0 | Small change: Disable IP-API.com via Typoscript now               | If you turned off connection to IP-API.com via extension manager settings, you have to do this now via TypoScript - see [documentation](../../../Documentation/Privacy/IpAddresses.md)                                                                                                                                                                                                                                                                                                                   |
| From former versions to 8.x    | Referrers are stored on a different place now                     | Call your TYPO3 upgrade wizard. There will be one more step that will copy values from _visitor.referrer to _pagevisit.referrer table.                                                                                                                                                                                                                                                                                                                                                                   |
| From former versions to 7.x    | Cookie-Table was replaced with a Fingerprint-Table                | Call your TYPO3 upgrade wizard. There will be one more step that will copy values from _idcookie to _fingerprint table. Note that CommandControllers are replaced by Symfony Commands!                                                                                                                                                                                                                                                                                                                   |
| From former versions to 3.x    | The visitor object can handle more cookies now                    | After updating use the update button in extension manager of if you have a lot of data stored, you can also use the LuxUpdateCommandController to prevent timeouts                                                                                                                                                                                                                                                                                                                                       |

## Changelog

| Version    | Date       | State    | TYPO3          | Description                                                                                                                                                                                           |
|------------|------------|----------|----------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| 34.3.3     | 2024-03-04 | Bugfix   | `11.5 + 12.4`  | Harden curl requests against ip services to prevent exceptions                                                                                                                                        |
| 34.3.2     | 2024-02-20 | Task     | `11.5 + 12.4`  | Update disallowed mail provider list, small code improvement                                                                                                                                          |
| 34.3.1     | 2024-02-16 | Task     | `11.5 + 12.4`  | Reduce length of pagebrowser items in company list view                                                                                                                                               |
| 34.3.0     | 2024-02-01 | Feature  | `11.5 + 12.4`  | Preparations for writing API in LUXenterprise                                                                                                                                                         |
| 34.2.0     | 2024-01-25 | Feature  | `11.5 + 12.4`  | Support MTM-Parameters in addition to UTM-Parameters now                                                                                                                                              |
| 34.1.0     | 2024-01-16 | Task     | `11.5 + 12.4`  | Small style bugfix in summary mails, update documentation                                                                                                                                             |
| 34.0.3     | 2023-11-21 | Bugfix   | `11.5 + 12.4`  | Prevent db compare error in UTM table                                                                                                                                                                 |
| 34.0.2     | 2023-09-29 | Bugfix   | `11.5 + 12.4`  | Fix some typos for CKEditor plugin functionality in TYPO3 12                                                                                                                                          |
| 34.0.1     | 2023-09-20 | Bugfix   | `11.5 + 12.4`  | Small fixes of the hottest leads box and the world map box                                                                                                                                            |
| 34.0.0     | 2023-09-20 | Feature  | `11.5 + 12.4`  | Better performance through AJAX loading of diagrams in dashboards or pageoverview, get rid of the minimum-stability warning when installing via composer                                              |
| 33.3.1     | 2023-09-14 | Bugfix   | `11.5 + 12.4`  | Fix open/close status for pageoverview with leads in backend                                                                                                                                          |
| 33.3.0     | 2023-09-07 | Feature  | `11.5 + 12.4`  | Update diagram of existing leads to a double bar chart diagram for better readability                                                                                                                 |
| 33.2.1     | 2023-08-20 | Bugfix   | `11.5 + 12.4`  | Toggle page overview diagrams: Should also save status when clicking on the small arrow icon                                                                                                          |
| 33.2.0     | 2023-08-20 | Feature  | `11.5 + 12.4`  | Make toggle function in backend more generic, so it can be used for more functions in future                                                                                                          |
| 33.1.1     | 2023-08-20 | Bugfix   | `11.5 + 12.4`  | Show pagetree in link wizard for LinkListeners, to select a page if storage PID != 0, allow to store LinkListener records on normal pages                                                             |
| 33.1.0     | 2023-08-19 | Feature  | `11.5 + 12.4`  | New diagram in lead list shows number of new or all leads within a timeframe                                                                                                                          |
| 33.0.1     | 2023-08-19 | Bugfix   | `11.5 + 12.4`  | Fix backend module configuration for TYPO3 12 (to set correct editor permissions)                                                                                                                     |
| 33.0.0     | 2023-08-14 | Feature  | `11.5 + 12.4`  | Color adjustments of LUX for a better readability, small improvements of readabledate viewhelper, don't show empty values in UTM diagrams                                                             |
| 32.2.3     | 2023-08-10 | Bugfix   | `11.5 + 12.4`  | Fix socialmedia diagram in analysis dashboard                                                                                                                                                         |
| 32.2.2     | 2023-08-07 | Bugfix   | `11.5 + 12.4`  | Don't use table "sys_language" any more because it was removed in TYPO3 12                                                                                                                            |
| 32.2.1     | 2023-07-24 | Bugfix   | `11.5 + 12.4`  | Prevent error "Unable to generate a URL for the named route" when a module should be hidden by configuration                                                                                          |
| 32.2.0     | 2023-07-21 | Task     | `11.5 + 12.4`  | Prevent refindex records of LUX or LUXenterprise records, Fix empty options in UTM filter, Don't show empty pagevisits in page funnel diagram, Allow null value of metadata objects                   |
| 32.1.1     | 2023-07-14 | Task     | `11.5 + 12.4`  | Change label of privacy notice in email4link to take care of latest GDPR recommendations                                                                                                              |
| 32.1.0     | 2023-07-07 | Task     | `11.5 + 12.4`  | Use a better close button and responsive view for lightboxes now in frontend, add defer attribute to formmapping.js and fieldmapping.js                                                               |
| 32.0.0     | 2023-06-27 | Feature  | `11.5 + 12.4`  | Add WiredMinds integration with new company views, information view and convert command, fix image grabber from google, update doughnut colors, anonymize also IPv6 IPs if wanted                     |
| 31.2.4     | 2023-05-23 | Bugfix   | `11.5 + 12.4`  | Linklistener performance should not be greater then 100%, Updated disallowed mail provider list                                                                                                       |
| 31.2.3     | 2023-05-19 | Bugfix   | `11.5 + 12.4`  | Prevent error in analysis dashboard if there is no news table                                                                                                                                         |
| 31.1.2     | 2023-05-15 | Task     | `11.5 + 12.4`  | Fix minimum stability error by changing requirements from branch to tag for package "buzz/which-browser-parser"                                                                                       |
| 31.1.1     | 2023-05-15 | Task     | `11.5 + 12.4`  | Add UTM table to truncateAll() function, Show correct "latest visit" time if there is no related log record                                                                                           |
| 31.1.0     | 2023-05-13 | Feature  | `11.5 + 12.4`  | Allow formFieldListening with "typo3/cms-form" by supporting `data-lux-form-identification="submitButton"`                                                                                            |
| 31.0.0     | 2023-05-12 | Feature  | `11.5 + 12.4`  | Add relevant arguments to excluded cHash params, add local docker testing environment for TYPO3 12, update Tests for TYPO3 12, fix some open issues in email4link for TYPO3 12                        |
| 30.1.0     | 2023-05-06 | Feature  | `11.5 + 12.4`  | Allow search for visitor hash values, introduce country and geolocation service classes                                                                                                               |
| 30.0.0     | 2023-05-05 | Feature  | `11.5 + 12.4`  | Add some more SQL indices to improve performance, Improve LinkListener list view by loading performance via AJAX                                                                                      |
| 29.0.0     | 2023-04-29 | Feature  | `11.5 + 12.4`  | Performance upgrade of AnonymousService, add 3 new TYPO3 dashboard widgets for UTM analysis, allow PHP 7.4 again, shrink size of Module.js, preparations for LUXenterprise 34                         |
| 28.3.3     | 2023-04-27 | Bugfix   | `11.5 + 12.4`  | Fix link to info module, fix pagebrowser functionality in TYPO3 12                                                                                                                                    |
| 28.3.2     | 2023-04-26 | Bugfix   | `11.5 + 12.4`  | Fix some optical issues for bootstrap 5 in workflow module under Chrome                                                                                                                               |
| 28.3.1     | 2023-04-21 | Bugfix   | `11.5 + 12.4`  | Prevent Formfieldmapping.js and Fieldmapping.js from indexed in indexed_search                                                                                                                        |
| 28.3.0     | 2023-04-19 | Feature  | `11.5 + 12.4`  | Allow generic variables in email4link lightbox now                                                                                                                                                    |
| 28.2.0     | 2023-04-11 | Feature  | `11.5 + 12.4`  | Increase categoryscorings also if a file with a LUX category is downloaded via email4link now                                                                                                         |
| 28.1.1     | 2023-04-11 | Task     | `11.5 + 12.4`  | Prevent exception in TYPO3 12.3 with $_languageUid                                                                                                                                                    |
| 28.1.0     | 2023-03-30 | Task     | `11.5 + 12.4`  | Added a switch for frontend functionality, add identificator format check, show exceptions in AJAX requests only if logged in to backend at the same time                                             |
| 28.0.0 !!! | 2023-03-29 | Feature  | `11.5 + 12.4`  | Email4link html template is now loaded via AJAX instead of keeping it in invisible in DOM on every page.                                                                                              |
| 27.2.0     | 2023-03-24 | Task     | `11.5 + 12.4`  | Change blacklisted behaviour: We now keep the email address, so re-identified visitors with the same email but different fingerprints are automatically blacklisted again.                            |
| 27.1.7     | 2023-03-23 | Bugfix   | `11.5 + 12.4`  | Support special characters in form and email4link request now                                                                                                                                         |
| 27.1.6     | 2023-03-06 | Task     | `11.5 + 12.4`  | Prevent exception in log undefined property Browser::name, Update to chart.js 2.9.4 for security reasons                                                                                              |
| 27.1.5     | 2023-02-24 | Bugfix   | `11.5 + 12.4`  | Fix link on i-icon in backend modules in TYPO3 11 (again and on all places)                                                                                                                           |
| 27.1.4     | 2023-02-23 | Bugfix   | `11.5 + 12.4`  | Fix link on i-icon in backend modules in TYPO3 11, small documentation update                                                                                                                         |
| 27.1.3     | 2023-02-23 | Bugfix   | `11.5 + 12.4`  | Fix for ajax loading of default visitor images and CSS in workflow backend module (when extension is located in vendor folder instead of typo3conf/ext)                                               |
| 27.1.2     | 2023-02-20 | Bugfix   | `11.5 + 12.4`  | Small fix for possible SQL exceptions in Lead dashboard, updated disallowed mail provider list                                                                                                        |
| 27.1.1     | 2023-02-17 | Bugfix   | `11.5 + 12.4`  | Fix "Property lastLogin must not be accessed before initialization" in FrontendUser model                                                                                                             |
| 27.1.0     | 2023-02-15 | Bugfix   | `11.5 + 12.4`  | Updated disallowed mail provider list, Fixed PHP 8.2 issue with package whichbrowser/parser, small code cleanup                                                                                       |
| 27.0.0 !!! | 2023-02-12 | Task     | `11.5 + 12.4`  | Support TYPO3 11+12 and drop support for TYPO3 10. Add id to anonym names. Track referrer with UTM tracking. A/B testing with a cleanup function now. Make linklisteners selectable in backend again. |
| 26.5.2     | 2024-01-12 | Bugfix   | `11.5 + 12.4`  | Fix module links on some TYPO3 10 installations                                                                                                                                                       |
| 26.5.1     | 2023-06-27 | Bugfix   | `10.4 + 11.5`  | Added missing argument when instantiating the class                                                                                                                                                   |
| 26.5.0     | 2023-05-13 | Feature  | `10.4 + 11.5`  | Allow formFieldListening with "typo3/cms-form" by supporting `data-lux-form-identification="submitButton"`                                                                                            |
| 26.4.2     | 2023-02-07 | Bugfix   | `10.4 + 11.5`  | Make linklisteners selectable for editors again                                                                                                                                                       |
| 26.4.1     | 2023-02-02 | Bugfix   | `10.4 + 11.5`  | Prevent php exception attempt to read property on null                                                                                                                                                |
| 26.4.0     | 2022-11-25 | Task     | `10.4 + 11.5`  | Remove config.no_cache=1, updated documentation, fix typo in label                                                                                                                                    |
| 26.3.1     | 2022-11-19 | Bugfix   | `10.4 + 11.5`  | Ensure backward compatibility for older LUXenterprise versions (where workflow actions didn't have delay function name)                                                                               |
| 26.3.0     | 2022-11-19 | Task     | `10.4 + 11.5`  | Preparation for new delay functions in content manipulation workflow actions, documentation update                                                                                                    |
| 26.2.1     | 2022-11-12 | Task     | `10.4 + 11.5`  | Documentation update, label improvement in UTM filter                                                                                                                                                 |
| 26.2.0 !!! | 2022-11-04 | Task     | `10.4 + 11.5`  | Very small breaking change: Name of lcoal storage keys changed a bit (see breaking changes note). Bugfix: No more duplicated eventhandlers on email4link links                                        |
| 26.1.0     | 2022-11-03 | Feature  | `10.4 + 11.5`  | Hide nearly all LUX tables in list view, preparations for UTM generator view in LUXenterprise                                                                                                         |
| 26.0.0     | 2022-10-31 | Feature  | `10.4 + 11.5`  | Adding of Urchin Tracking Modules (UTM parameters) tracking and analysis                                                                                                                              |
| 25.3.0     | 2022-10-20 | Feature  | `10.4 + 11.5`  | Prevent email4link links to be downloaded with rightclick or middle mouse key                                                                                                                         |
| 25.2.0     | 2022-10-19 | Task     | `10.4 + 11.5`  | Extend page and news tracker events with direct models for a better extending                                                                                                                         |
| 25.1.0     | 2022-09-27 | Feature  | `10.4 + 11.5`  | Support target="_blank" for email4link links now                                                                                                                                                      |
| 25.0.0     | 2022-09-03 | Feature  | `10.4 + 11.5`  | Time period filter for dashboards (small performance feature), Async load of visitor image (big performance feature), code cleanup, updated DisallowedMailProvider list                               |
| 24.2.0     | 2022-08-11 | Task     | `10.4 + 11.5`  | Replace deprecated frontend build tools, prevent possible exception on longer user_agent strings                                                                                                      |
| 24.1.0     | 2022-07-23 | Task     | `10.4 + 11.5`  | Update for a better workflow management in luxenterprise                                                                                                                                              |
| 24.0.2     | 2022-07-11 | Security | `10.4 + 11.5`  | Harden SQL queries against possible SQL injection                                                                                                                                                     |
| 24.0.1     | 2022-07-06 | Bugfix   | `10.4 + 11.5`  | Hide page overview rendering when it is turned off via extension manager configuration (even if luxenterprise comes along with A/B testing)                                                           |
| 24.0.0     | 2022-06-09 | Feature  | `10.4 + 11.5`  | Add CSV download possibilities for all analysis views, Allow to search for company name (when given from IP address), Prevent duplicated visitor records on A/B testing                               |
| 23.3.0     | 2022-06-07 | Feature  | `10.4 + 11.5`  | Small css update for NOT triggers in luxenterprise, small bugfix in loading order with dashboard, documentation update                                                                                |
| 23.2.1     | 2022-05-25 | Bugfix   | `10.4 + 11.5`  | Update disallowedMailProvider list, prevent exception "isPackageActive() on null" in TYPO3 11                                                                                                         |
| 23.2.0     | 2022-05-15 | Task     | `10.4 + 11.5`  | Preperation for delayed workflows in luxenterprise                                                                                                                                                    |
| 23.1.0     | 2022-05-15 | Task     | `10.4 + 11.5`  | Harden frontend requests, small optical improvements for workflows, adding a phone getter in visitor model, documentation update                                                                      |
| 23.0.0 !!! | 2022-05-08 | Feature  | `10.4 + 11.5`  | Migrate all existing signalslots to PSR-14 eventdispatchers (to reduce technical dept and to simplify TYPO3 12 support in future)                                                                     |
| 22.6.0     | 2022-04-26 | Feature  | `10.4 + 11.5`  | Extend API for a new endpoint                                                                                                                                                                         |
| 22.5.0     | 2022-04-25 | Feature  | `10.4 + 11.5`  | Preperation for a proper API                                                                                                                                                                          |
| 22.4.0     | 2022-04-04 | Feature  | `10.4 + 11.5`  | Show email addresses in luxletter receiver list.                                                                                                                                                      |
| 22.3.3     | 2022-04-04 | Bugfix   | `10.4 + 11.5`  | Clean internal SVG files from id and class attributes.                                                                                                                                                |
| 22.3.2     | 2022-03-23 | Bugfix   | `10.4 + 11.5`  | Prevent SQL exception in page visit module on some cases.                                                                                                                                             |
| 22.3.1     | 2022-03-16 | Bugfix   | `10.4 + 11.5`  | Prevent egg-formed lead images in backend. Harden lead list filter (search in timeframe or search only with a searchterm)                                                                             |
| 22.3.0     | 2022-03-09 | Feature  | `10.4 + 11.5`  | Add close button to lightboxes. Allow interaction in lightboxes.                                                                                                                                      |
| 22.2.0     | 2022-03-05 | Task     | `10.4 + 11.5`  | Show only identified leads in hottest box in dashboard. Make TYPO3 wizard with hottest leads more usable by always showing the email address.                                                         |
| 22.1.0     | 2022-03-07 | Feature  | `10.4 + 11.5`  | General performance update                                                                                                                                                                            |
| 22.0.0     | 2022-02-20 | Feature  | `10.4 + 11.5`  | Reworked cache layer and warmup commands for a performance boost, rendering times for admins, readable numbers, some smaller performance optimizations, fix font problem in TYPO3 10                  |
| 21.4.0     | 2022-02-12 | Feature  | `10.4 + 11.5`  | Small performance improvement for lead list                                                                                                                                                           |
| 21.3.0     | 2022-02-10 | Feature  | `10.4 + 11.5`  | Show only identified leads in hottest leads list, Make lead image service adjustable, Bugfix of orientation of enterprise link in page module                                                         |
| 21.2.0     | 2022-02-04 | Feature  | `10.4 + 11.5`  | Increase category scorings on news visits, Bugfixes: Show all categoryscorings in lead detail view (even if the scoring is identically), class name correction in signals                             |
| 21.1.0     | 2022-01-31 | Feature  | `10.4 + 11.5`  | Add parameter which caches should be warmed up on CLI command                                                                                                                                         |
| 21.0.0 !!! | 2021-12-17 | Feature  | `10.4 + 11.5`  | Support QR codes for shortener, marker names in email4download changed to reduce possible conflicts with core functionality                                                                           |
| 20.2.2     | 2021-12-15 | Bugfix   | `10.4 + 11.5`  | Don't include JS for lightbox twice                                                                                                                                                                   |
| 20.2.1     | 2021-12-14 | Bugfix   | `10.4 + 11.5`  | Frontend toolchain updated for better usage with require.js                                                                                                                                           |
| 20.2.0     | 2021-12-09 | Bugfix   | `10.4 + 11.5`  | Harden tracking of formListening events, add some more unit tests                                                                                                                                     |
| 20.1.0     | 2021-11-24 | Feature  | `10.4 + 11.5`  | Add wildcard telecommunication provider list, support multiple telecom lists, add pagination for linklisteners, add database indices for better performance                                           |
| 20.0.1     | 2021-11-17 | Bugfix   | `10.4 + 11.5`  | Fix linklistener tracking in some cases                                                                                                                                                               |
| 20.0.0     | 2021-11-04 | Feature  | `10.4 + 11.5`  | Add a cache layer for dashboards and pageoverview view, add a cache warmup command, add noindex,nofollow to shortener link requests                                                                   |
| 19.0.3     | 2021-11-04 | Task     | `10.4 + 11.5`  | Adjust requirements for google-image-grabber package to allow stable configuration for minimum-stability in composer.json file                                                                        |
| 19.0.2     | 2021-11-03 | Bugfix   | `10.4 + 11.5`  | Also find leads in list view without any pagevisits now                                                                                                                                               |
| 19.0.1     | 2021-11-02 | Bugfix   | `10.4 + 11.5`  | Prevent exception in dashboards if TypoScript is not available in Lux backend modules (for some reason)                                                                                               |
| 19.0.0     | 2021-10-26 | Feature  | `10.4 + 11.5`  | Prepare A/B tests for EXT:luxenterprise                                                                                                                                                               |
| 18.1.1     | 2021-10-22 | Bugfix   | `10.4 + 11.5`  | Fix a typo when rendering the star icon in all lux backend modules                                                                                                                                    |
| 18.1.0     | 2021-10-17 | Task     | `10.4 + 11.5`  | Add a "go enterprise" to backend layouts, Update input field height for bootstrap 5, Small code cleanup                                                                                               |
| 18.0.0     | 2021-10-16 | Task     | `10.4 + 11.5`  | Support TYPO3 11 (and 10) and drop support for version 9                                                                                                                                              |
| 17.7.1     | 2022-10-27 | Bugfix   | `9.5 + 10.4`   | Backport: Find also leads without pagevisit relations                                                                                                                                                 |
| 17.7.0     | 2022-07-12 | Feature  | `9.5 + 10.4`   | Backport: Add close button to default lightbox                                                                                                                                                        |
| 17.6.1     | 2022-07-11 | Security | `9.5 + 10.4`   | Harden SQL queries against possible SQL injection                                                                                                                                                     |
| 17.6.0     | 2022-03-07 | Feature  | `9.5 + 10.4`   | General performance update                                                                                                                                                                            |
| 17.5.0     | 2022-02-22 | Bugfix   | `9.5 + 10.4`   | Backport: New cachelayer to cache HTML output from dashboards                                                                                                                                         |
| 17.4.1     | 2022-02-04 | Bugfix   | `9.5 + 10.4`   | Fix missing constructor DI in TYPO3 9                                                                                                                                                                 |
| 17.4.0     | 2022-01-26 | Feature  | `9.5 + 10.4`   | Backport: Add parameter to warmup specific caches via CLI command                                                                                                                                     |
| 17.3.0     | 2022-01-26 | Feature  | `9.5 + 10.4`   | Backport: Show rendering time, add caching layer                                                                                                                                                      |
| 17.2.3     | 2021-12-15 | Bugfix   | `9.5 + 10.4`   | Don't include JS for lightbox twice                                                                                                                                                                   |
| 17.2.2     | 2021-12-14 | Bugfix   | `9.5 + 10.4`   | Frontend toolchain updated for better usage with require.js                                                                                                                                           |
| 17.2.1     | 2021-11-17 | Feature  | `9.5 + 10.4`   | Backport: Fix linklistener tracking in some cases                                                                                                                                                     |
| 17.2.0     | 2021-09-26 | Feature  | `9.5 + 10.4`   | Add description, createdate, author to linklisteners list and edit view for a better organisation, add creationdate and author for news list, small TCA bugfixes                                      |
| 17.1.2     | 2021-09-24 | Bugfix   | `9.5 + 10.4`   | Make lightbox responsive (Workflow action content in lightbox)                                                                                                                                        |
| 17.1.1     | 2021-09-20 | Bugfix   | `9.5 + 10.4`   | TYPO3 9 bugfix for new handler                                                                                                                                                                        |
| 17.1.0 !!! | 2021-09-16 | Feature  | `9.5 + 10.4`   | Interface added to register own IP service API, harden pagevisit model against exceptions                                                                                                             |
| 17.0.2     | 2021-09-07 | Bugfix   | `9.5 + 10.4`   | Remember toggle status in page overview                                                                                                                                                               |
| 17.0.1     | 2021-09-06 | Bugfix   | `9.5 + 10.4`   | Fix queries for TYPO3 9 in page module                                                                                                                                                                |
| 17.0.0     | 2021-09-05 | Feature  | `9.5 + 10.4`   | Add a complete new page overview layout with important information to improve content.                                                                                                                |
| 16.0.2     | 2021-08-20 | Task     | `9.5 + 10.4`   | Update disallowed mail providers, update documentation.                                                                                                                                               |
| 16.0.1     | 2021-08-20 | Task     | `9.5 + 10.4`   | Adjust lux icon size in frontend for email4link lightbox to a smaller variant.                                                                                                                        |
| 16.0.0     | 2021-08-16 | Feature  | `9.5 + 10.4`   | Add a search view for a websearch analysis. Harden RTE default configuration.                                                                                                                         |
| 15.3.1     | 2021-08-16 | Bugfix   | `9.5 + 10.4`   | Fix SQL error "Expression #1 of ORDER BY clause is not in SELECT list" on some circumstances.                                                                                                         |
| 15.3.0     | 2021-08-12 | Task     | `9.5 + 10.4`   | Show a "powered by Lux" in email4link if luxenterprise is not installed. Also show a "go enterprise" in page module.                                                                                  |
| 15.2.2     | 2021-08-10 | Bugfix   | `9.5 + 10.4`   | Allow more then 255 characters for pagevisit.referrer now, simplify start/endtime TCA configuration, hide searchterm table in list view.                                                              |
| 15.2.1     | 2021-08-06 | Bugfix   | `9.5 + 10.4`   | Add dashboard resources only if typo3/cms-dashboard is installed.                                                                                                                                     |
| 15.2.0     | 2021-07-27 | Feature  | `9.5 + 10.4`   | Add GET param configuration for a search with extension ke_search by default in addition to solr and indexed_search.                                                                                  |
| 15.1.0     | 2021-07-11 | Feature  | `9.5 + 10.4`   | Continous integration update: Test for code quality and run unit tests on every push and pull request now.                                                                                            |
| 15.0.3     | 2021-07-06 | Task     | `9.5 + 10.4`   | Remove outdated JS function for registering third party functions that can be called after fingerprint is ready calculated.                                                                           |
| 15.0.2     | 2021-07-06 | Bugfix   | `9.5 + 10.4`   | Fix possible exception if browser version is not readable. Fix getAnyPropertyByName() function in visitor model.                                                                                      |
| 15.0.1     | 2021-06-30 | Task     | `9.5 + 10.4`   | Manual OptIn hardened. Now it can be called multiple times (if called twice from cookie banner). See privacy documentation for a manual OptIn (with fingerprint or with localstorage).                |
| 15.0.0     | 2021-06-28 | Feature  | `9.5 + 10.4`   | Decide if you want to use fingerprint or localstorage as basic tracking method now. Localstorage is interesting for b2c while fingerprint is more for b2b (see installation documenation).            |
| 14.4.2     | 2021-06-24 | Bugfix   | `9.5 + 10.4`   | Show correct number of newsvisits in dashboard and news module                                                                                                                                        |
| 14.4.1     | 2021-06-23 | Task     | `9.5 + 10.4`   | Define which error should not be logged now. Per default a bot recognition (e.g.) should not be logged.                                                                                               |
| 14.4.0     | 2021-06-22 | Feature  | `9.5 + 10.4`   | Add exception/error logging for frontend requests                                                                                                                                                     |
| 14.3.2     | 2021-06-17 | Bugfix   | `9.5 + 10.4`   | Fix possible sql exception in additional modules (news and linkclick analysis) together with SQL strict mode                                                                                          |
| 14.3.1     | 2021-06-15 | Bugfix   | `9.5 + 10.4`   | Fix possible sql exception in modules together with SQL strict mode                                                                                                                                   |
| 14.3.0     | 2021-06-07 | Feature  | `9.5 + 10.4`   | Performance update for lead list in backend                                                                                                                                                           |
| 14.2.0     | 2021-05-26 | Feature  | `9.5 + 10.4`   | Preperation for push messages in frontend                                                                                                                                                             |
| 14.1.0     | 2021-05-26 | Feature  | `9.5 + 10.4`   | Performance update: To allow handling of more pagevisits data (in all three dashboards)                                                                                                               |
| 14.0.3     | 2021-05-12 | Bugfix   | `9.5 + 10.4`   | Don't minify already minified JS (to prevent errors - e.g. with EXT:min), Really show the latest visitors in PageOverview                                                                             |
| 14.0.2     | 2021-05-11 | Bugfix   | `9.5 + 10.4`   | Respect if EXT:news is not present. Update disallowedEmailProvider list.                                                                                                                              |
| 14.0.1     | 2021-05-10 | Bugfix   | `9.5 + 10.4`   | Prevent errors in log related to image grabber. Update documentation. Default status for PageOverview switched.                                                                                       |
| 14.0.0     | 2021-05-08 | Feature  | `9.5 + 10.4`   | Rework of the pageoverview layout. Now it can be shown or hidden by each editor.                                                                                                                      |
| 13.4.2     | 2021-05-07 | Bugfix   | `9.5 + 10.4`   | Fix TCA for linkclick records                                                                                                                                                                         |
| 13.4.1     | 2021-05-04 | Task     | `9.5 + 10.4`   | Add a css class for closing icons in backend context                                                                                                                                                  |
| 13.4.0     | 2021-05-01 | Feature  | `9.5 + 10.4`   | Add two news viewhelpers that can be used now, update documentation                                                                                                                                   |
| 13.3.0     | 2021-04-30 | Feature  | `9.5 + 10.4`   | Unify all analysis detail views now with cropped titles and with fingerprint and location values                                                                                                      |
| 13.2.0     | 2021-04-26 | Feature  | `9.5 + 10.4`   | New getter for any property, Add relation to fe_users automatically, Fe_users relation command, Email4Link more general with any fields, Documentation update                                         |
| 13.1.0     | 2021-04-25 | Feature  | `9.5 + 10.4`   | Show news title beside page title (if news), add relation between news- and pagevisit to save to store domain in newsvisit, small bugfix in backlink                                                  |
| 13.0.0     | 2021-04-12 | Feature  | `9.5 + 10.4`   | Add a complete new view to analyse news visitors (if extension news is installed)                                                                                                                     |
| 12.0.0     | 2021-04-08 | Feature  | `9.5 + 10.4`   | Filter by domain in analysis module now, more debugging information in browser console                                                                                                                |
| 11.8.0     | 2021-03-25 | Feature  | `9.5 + 10.4`   | Show language after page title in all diagrams in backend                                                                                                                                             |
| 11.7.1     | 2021-03-17 | Task     | `9.5 + 10.4`   | Add extension name to composer.json                                                                                                                                                                   |
| 11.7.0     | 2021-03-11 | Feature  | `9.5 + 10.4`   | Show full userAgent on hover, ignore "HeadlessChrome" visits, small improvements of stopTacking function, small documentation update, bugfix on page detail view for ajax links                       |
| 11.6.0     | 2021-03-10 | Feature  | `9.5 + 10.4`   | Ignore browsers with user agent "cookieradar" - so our product (see https://www.in2code.de/produkte/cookie-managment-suite/) is not tracked any more                                                  |
| 11.5.0     | 2021-03-01 | Feature  | `9.5 + 10.4`   | Add new getters in fingerprint model for specific user agent properties (that can be used in workflow fluid templates)                                                                                |
| 11.4.0     | 2021-02-26 | Feature  | `9.5 + 10.4`   | Don't add fieldlistener events to uninteresting fields (hidden, submit), update documentation FAQ                                                                                                     |
| 11.3.2     | 2021-02-16 | Task     | `9.5 + 10.4`   | Updated telecommunication provider list                                                                                                                                                               |
| 11.3.1     | 2021-02-12 | Bugfix   | `9.5 + 10.4`   | Remove also related search words if a visitor gets removed                                                                                                                                            |
| 11.3.0     | 2021-01-28 | Feature  | `9.5 + 10.4`   | Add "identified only" checkbox to lead list, add number of results to lead list, save searchterms only lowercase (for better comparing)                                                               |
| 11.2.1     | 2021-01-15 | Bugfix   | `9.5 + 10.4`   | Prevent exception when filtering in backend                                                                                                                                                           |
| 11.2.0     | 2021-01-04 | Feature  | `9.5 + 10.4`   | Add a configuration for auto-publishing new tags to TER, updated telecommunication provider list                                                                                                      |
| 11.1.0     | 2020-12-16 | Feature  | `9.5 + 10.4`   | Add wizards for top news and top search terms to TYPO3 dashboard, better bot detection (to stop tracking)                                                                                             |
| 11.0.0     | 2020-12-14 | Feature  | `9.5 + 10.4`   | Track and show searchterms on your website now (solr or indexed search)                                                                                                                               |
| 10.3.3     | 2020-12-03 | Bugfix   | `9.5 + 10.4`   | Fix a copy and paste failure in TS configuration for formMapping settings                                                                                                                             |
| 10.3.2     | 2020-11-26 | Bugfix   | `9.5 + 10.4`   | Four different bugfixes related to backend view filtering, scoring calculation and output for "last page visit"                                                                                       |
| 10.3.1     | 2020-11-11 | Bugfix   | `9.5 + 10.4`   | Add a missing log status translation                                                                                                                                                                  |
| 10.3.0     | 2020-11-11 | Feature  | `9.5 + 10.4`   | Allow a bcc setting for email4link                                                                                                                                                                    |
| 10.2.0     | 2020-11-05 | Feature  | `9.5 + 10.4`   | Show complete fingerprint in debug mode in browser console. Fix randomized fingerprints in email4link function.                                                                                       |
| 10.1.0     | 2020-10-01 | Feature  | `9.5 + 10.4`   | Allow email4link without optin or with doNotTrack headers, Show helpful console outputs in debug mode.                                                                                                |
| 10.0.2     | 2020-08-07 | Bugfix   | `9.5 + 10.4`   | Fix else statements in TypoScript conditions                                                                                                                                                          |
| 10.0.1     | 2020-08-07 | Bugfix   | `9.5 + 10.4`   | Don't cache redirect view                                                                                                                                                                             |
| 10.0.0     | 2020-07-10 | Feature  | `9.5 + 10.4`   | Social media performance diagram, add internal redirect service, update disallowed provider list, preperations for URL shortener (part of the enterprise version)                                     |
| 9.1.2      | 2020-06-24 | Bugfix   | `9.5 + 10.4`   | Fix type for linkclick configuration in TCA and Model                                                                                                                                                 |
| 9.1.1      | 2020-06-22 | Task     | `9.5 + 10.4`   | Reduce requirements for symfony/expression-language to allow TYPO3 9 and form extension                                                                                                               |
| 9.1.0      | 2020-06-19 | Feature  | `9.5 + 10.4`   | Don't track some more bots                                                                                                                                                                            |
| 9.0.0      | 2020-05-31 | Feature  | `9.5 + 10.4`   | Introduce Link Listeners                                                                                                                                                                              |
| 8.2.2      | 2020-05-25 | Bugfix   | `9.5 + 10.4`   | Don't create new visitor records when unneeded in additional languages, don't show empty log entry when merging visitors                                                                              |
| 8.2.1      | 2020-05-17 | Bugfix   | `9.5 + 10.4`   | Broken table definition of the not yet needed table tx_lux_domain_model_linkclick causes some trouble on database compare                                                                             |
| 8.2.0      | 2020-05-13 | Feature  | `9.5 + 10.4`   | Show content diagrams per hour if timeframe is maximum 1 day, Performance update for Analysis/Content/PageDetail view                                                                                 |
| 8.1.1      | 2020-05-13 | Bugfix   | `9.5 + 10.4`   | Don't track image views as downloads, Define wich log status should be shown in backend                                                                                                               |
| 8.1.0      | 2020-05-12 | Feature  | `9.5 + 10.4`   | Static CSV with IP2Company list possible, Merge visitors with same fingerprint, Take oldest visitor record on duplicates                                                                              |
| 8.0.1      | 2020-05-11 | Bugfix   | `9.5 + 10.4`   | Fix some typehint exceptions with empty filter in Analysis/Content                                                                                                                                    |
| 8.0.0 !!!  | 2020-05-10 | Task     | `9.5 + 10.4`   | A basic UX update, store news views, languages and domains now.                                                                                                                                       |
| 7.3.0      | 2020-04-27 | Task     | `9.5 + 10.4`   | Ignore browser version when calculating a fingerprint. Small bugfix with deleting old cookies.                                                                                                        |
| 7.2.3      | 2020-04-22 | Bugfix   | `9.5 + 10.4`   | Add css class in backend modules to fix view in TYPO3 10.4.                                                                                                                                           |
| 7.2.2      | 2020-04-21 | Bugfix   | `9.5 + 10.4`   | Change mimetypes of dynamically generated Javascript from application/javascript to text/javascript for older browsers.                                                                               |
| 7.2.1      | 2020-04-20 | Bugfix   | `9.5 + 10.4`   | Support content in popups also with typenum in siteconfiguration (only relevant for in2code/luxenterprise). Small cleanup.                                                                            |
| 7.2.0      | 2020-04-17 | Task     | `9.5 + 10.4`   | Update for TYPO3 10.4 LTS and it's dashboard breaking changes.                                                                                                                                        |
| 7.1.0      | 2020-04-03 | Feature  | `9.5 + 10.4`   | Allow errorhandling in workflows and finishers now.                                                                                                                                                   |
| 7.0.2      | 2020-04-03 | Bugfix   | `9.5 + 10.4`   | In some cases fingerprints are not calculated in time: Extend time and don't track if there is an empty fingerprint.                                                                                  |
| 7.0.1      | 2020-03-27 | Bugfix   | `9.5 + 10.4`   | Version of luxletter could not detected correctly. Only relevant if lux was used with luxletter.                                                                                                      |
| 7.0.0 !!!  | 2020-03-21 | Task     | `8.7 + 9.5`    | Support TYPO3 10 and new dashboard module. Don't set cookies any more. Recognize visitors by fingerprinting now. Performance update.                                                                  |
| 6.3.0      | 2019-09-14 | Task     | `8.7 + 9.5`    | Small update of the telecommunication provider list                                                                                                                                                   |
| 6.2.0      | 2019-08-27 | Feature  | `8.7 + 9.5`    | Updated disallowed mail provider list and updated telecommunication provider list                                                                                                                     |
| 6.1.0      | 2019-08-14 | Feature  | `8.7 + 9.5`    | Stop tracking of google bots before records get persisted, add some new signals, small cleanup                                                                                                        |
| 6.0.0      | 2019-08-10 | Feature  | `8.7 + 9.5`    | New dashboard views: Add identified leads per month, add overall statistics, Html refactoring, Don't show wrong default image for leads, New VH for luxenterprise, Documentation update               |
| 5.1.0      | 2019-08-08 | Task     | `8.7 + 9.5`    | Performance update lead list, Keep filter, Don't show duplicates in page content, Add new task to delete a visitor by any property, Disallowed mail providers update, Cleanup tasks bugfix            |
| 5.0.0      | 2019-07-31 | Task     | `8.7 + 9.5`    | Opt-in functionality, Luxletter support, Identification via frontend-login                                                                                                                            |
| 4.1.2      | 2019-07-25 | Bugfix   | `8.7 + 9.5`    | Fix email4link email sending functionality on some edge cases                                                                                                                                         |
| 4.1.1      | 2019-07-13 | Bugfix   | `8.7 + 9.5`    | Bugfix for PHP 7.3 - Fluid errors in backend modules                                                                                                                                                  |
| 4.1.0      | 2019-07-07 | Task     | `8.7 + 9.5`    | Toggle ckeditor configuration, don't add if ckeditor is not installed, fix typo                                                                                                                       |
| 4.0.0      | 2019-06-14 | Task     | `8.7 + 9.5`    | Include concept of finishers, don't ask again if identified with email4download                                                                                                                       |
| 3.0.0 !!!  | 2019-06-10 | Task     | `8.7 + 9.5`    | Multi device tracking, form listening, show browser and os information of leads                                                                                                                       |
| 2.5.0      | 2019-06-04 | Task     | `8.7 + 9.5`    | Some preperations for luxenterprise                                                                                                                                                                   |
| 2.4.0      | 2019-06-03 | Feature  | `8.7 + 9.5`    | Replace eos with expression-language, Add url f. workflows, doc update, php cleanup                                                                                                                   |
| 2.3.1      | 2019-05-20 | Bugfix   | `8.7 + 9.5`    | Show correct last visited date in lead list in backend                                                                                                                                                |
| 2.3.0      | 2019-04-17 | Feature  | `8.7 + 9.5`    | Move client to serverside check for disallowed mail providers, small fixes                                                                                                                            |
| 2.2.0      | 2019-03-07 | Feature  | `8.7 + 9.5`    | Show status in extension manager settings, Show lead name of unidentified leads                                                                                                                       |
| 2.1.0      | 2019-03-07 | Task     | `8.7 + 9.5`    | Small cleanup, Update and use case-insensitive search in telecom provider list                                                                                                                        |
| 2.0.3      | 2019-02-26 | Bugfix   | `8.7 + 9.5`    | Show module action switcher in T3 9.5, remove unneeded stuff from former releases                                                                                                                     |
| 2.0.2      | 2019-02-25 | Bugfix   | `8.7 + 9.5`    | Small bugfix for TER uploads                                                                                                                                                                          |
| 2.0.1      | 2019-02-25 | Bugfix   | `8.7 + 9.5`    | Small fixes with default values if configuration is missing                                                                                                                                           |
| 2.0.0      | 2019-02-24 | Task     | `8.7 + 9.5`    | Publish lux as community version (without Workflows), removeAll CommandController                                                                                                                     |
| 1.24.0     | 2018-11-07 | Task     | `8.7 + 9.5`    | Update disallowed telecommunication provider list                                                                                                                                                     |
| 1.23.0     | 2018-08-17 | Task     | `8.7 + 9.5`    | Update disallowed mail provider and telecommunication list                                                                                                                                            |
| 1.22.0     | 2018-07-23 | Task     | `8.7 + 9.5`    | Update disallowed mail provider list                                                                                                                                                                  |
| 1.21.1     | 2018-06-28 | Task     | `8.7 + 9.5`    | Code cleanup, update telecommunication provider list, performance improvement                                                                                                                         |
| 1.21.0     | 2018-06-28 | Task     | `8.7 + 9.5`    | Add blacklist function for onetime-email-accounts in email4link functionality                                                                                                                         |
| 1.20.3     | 2018-05-24 | Task     | `8.7 + 9.5`    | Update privacy link in a new tab.                                                                                                                                                                     |
| 1.20.2     | 2018-05-24 | Task     | `8.7 + 9.5`    | Small locallang update.                                                                                                                                                                               |
| 1.20.1     | 2018-05-24 | Bugfix   | `8.7 + 9.5`    | Small documentation update.                                                                                                                                                                           |
| 1.20.0     | 2018-05-24 | Feature  | `8.7 + 9.5`    | Bugfixes, Privacy checkbox in email4link, Manual blacklisting.                                                                                                                                        |
| 1.19.0     | 2018-04-24 | Task     | `8.7 + 9.5`    | Documentation update. Telecommunication provider list update.                                                                                                                                         |
| 1.18.0     | 2018-04-21 | Feature  | `8.7 + 9.5`    | Introduce summary-mails in command controller.                                                                                                                                                        |
| 1.17.0     | 2018-04-12 | Feature  | `8.7 + 9.5`    | Publish to multiple slack channels now.                                                                                                                                                               |
| 1.16.1     | 2018-04-12 | Bugfix   | `8.7 + 9.5`    | Fix for chrome select boxes in workflow module, fix filter select in content view.                                                                                                                    |
| 1.16.0     | 2018-04-12 | Feature  | `8.7 + 9.5`    | Show company from IP-address on different places. Add company trigger.                                                                                                                                |
| 1.15.1     | 2018-04-04 | Bugfix   | `8.7 + 9.5`    | Allow links in lightboxes now.                                                                                                                                                                        |
| 1.15.0     | 2018-04-04 | Task     | `8.7 + 9.5`    | Add documentation, Dashboard: Show percentual values. Performance in content view.                                                                                                                    |
| 1.14.0     | 2018-03-26 | Bugfix   | `8.7 + 9.5`    | Small bugfixes (CKeditor Plugin, Dateformat)                                                                                                                                                          |
| 1.13.2     | 2018-03-18 | Bugfix   | `8.7 + 9.5`    | Small bugfixes.                                                                                                                                                                                       |
| 1.13.1     | 2018-03-15 | Bugfix   | `8.7 + 9.5`    | Small bugfixes.                                                                                                                                                                                       |
| 1.13.0     | 2018-03-14 | Task     | `8.7 + 9.5`    | Add css grid for dashboard. Small bugfixes.                                                                                                                                                           |
| 1.12.0     | 2018-03-13 | Feature  | `8.7 + 9.5`    | Disable tracking if be-user is logged in. Small bugfixes.                                                                                                                                             |
| 1.11.0     | 2018-03-12 | Feature  | `8.7 + 9.5`    | Some privace features. Some brush up. Add contextual content plugin.                                                                                                                                  |
| 1.10.0     | 2018-03-10 | Task     | `8.7 + 9.5`    | Some small improvements. Add a opt-out plugin.                                                                                                                                                        |
| 1.9.0      | 2018-03-08 | Task     | `8.7 + 9.5`    | Some changes to see categoryscorings.                                                                                                                                                                 |
| 1.8.0      | 2018-03-07 | Feature  | `8.7 + 9.5`    | Optical refactoring of pageoverview. Bugfix in category scoring.                                                                                                                                      |
| 1.7.0      | 2018-03-07 | Feature  | `8.7 + 9.5`    | Add identified trigger and slack action.                                                                                                                                                              |
| 1.6.0      | 2018-03-06 | Task     | `8.7 + 9.5`    | Add categoryscoring. Bugfix: Don't track downloads with email4link twice.                                                                                                                             |
| 1.5.1      | 2018-03-05 | Bugfix   | `8.7 + 9.5`    | Prevent exception in backend.                                                                                                                                                                         |
| 1.5.0      | 2018-03-05 | Task     | `8.7 + 9.5`    | Finish workflow modules with initial triggers/actions. Small bugfixes.                                                                                                                                |
| 1.4.0      | 2018-03-04 | Task     | `8.7 + 9.5`    | Split backend modules, add content analysis, integrate nearly complete workflow                                                                                                                       |
| 1.3.0      | 2018-03-02 | Task     | `8.7 + 9.5`    | Don't show full download path in frontend with email4download                                                                                                                                         |
| 1.2.0      | 2018-03-01 | Task     | `8.7 + 9.5`    | Some small fixes in backend analysis show identified and recurring.                                                                                                                                   |
| 1.1.1      | 2018-02-27 | Bugfix   | `8.7 + 9.5`    | Some small fixes in backend analysis and email4link functionality.                                                                                                                                    |
| 1.1.0      | 2018-02-26 | Task     | `8.7 + 9.5`    | Show more relevant information in detail view. Small fixes.                                                                                                                                           |
| 1.0.1      | 2018-02-26 | Bugfix   | `8.7 + 9.5`    | Fix some smaller bugs that occurs with live data                                                                                                                                                      |
| 1.0.0      | 2018-02-26 | Task     | `8.7 + 9.5`    | Initial Release with a stable tracking, identification and analyses                                                                                                                                   |
